apr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jor...@apache.org
Subject cvs commit: apr/build buildcheck.sh
Date Sun, 25 Jan 2004 16:41:56 GMT
jorton      2004/01/25 08:41:56

  Modified:    build    Tag: APR_0_9_BRANCH buildcheck.sh
  Log:
  Backport from HEAD:
  
  * build/buildcheck.sh: Determine libtool version correctly for
  --version output from current libtool CVS.
  
  * build/buildcheck.sh: Fold the head -1 into the sed command; fix
  build in environments which strictly conform to the latest POSIX
  standard.
  
  PR: 26283
  
  Revision  Changes    Path
  No                   revision
  No                   revision
  1.7.2.1   +8 -3      apr/build/buildcheck.sh
  
  Index: buildcheck.sh
  ===================================================================
  RCS file: /home/cvs/apr/build/buildcheck.sh,v
  retrieving revision 1.7
  retrieving revision 1.7.2.1
  diff -b -d -u -r1.7 -r1.7.2.1
  --- buildcheck.sh	16 Jun 2003 20:47:21 -0000	1.7
  +++ buildcheck.sh	25 Jan 2004 16:41:56 -0000	1.7.2.1
  @@ -3,7 +3,7 @@
   echo "buildconf: checking installation..."
   
   # autoconf 2.13 or newer
  -ac_version=`${AUTOCONF:-autoconf} --version 2>/dev/null|head -1|sed -e 's/^[^0-9]*//'
-e 's/[a-z]* *$//'`
  +ac_version=`${AUTOCONF:-autoconf} --version 2>/dev/null|sed -e 's/^[^0-9]*//;s/[a-z]*
*$//;q'`
   if test -z "$ac_version"; then
   echo "buildconf: autoconf not found."
   echo "           You need autoconf version 2.13 or newer installed"
  @@ -20,9 +20,14 @@
   echo "buildconf: autoconf version $ac_version (ok)"
   fi
   
  -# libtool 1.3.3 or newer
  +# Sample libtool --version outputs:
  +# ltmain.sh (GNU libtool) 1.3.3 (1.385.2.181 1999/07/02 15:49:11)
  +# ltmain.sh (GNU libtool 1.1361 2004/01/02 23:10:52) 1.5a
  +# output is multiline from 1.5 onwards
  +
  +# Require libtool 1.3.3 or newer
   libtool=`build/PrintPath glibtool libtool`
  -lt_pversion=`$libtool --version 2>/dev/null|head -1|sed -e 's/^[^0-9]*//' -e 's/[- ].*//'`
  +lt_pversion=`$libtool --version 2>/dev/null|sed -e 's/([^)]*)//g;s/^[^0-9]*//;s/[- ].*//g;q'`
   if test -z "$lt_pversion"; then
   echo "buildconf: libtool not found."
   echo "           You need libtool version 1.3.3 or newer installed"
  
  
  

Mime
View raw message